hpp-corbaserver: _objref_DifferentiableFunction Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_DifferentiableFunction Class Reference

`#include <hpp/constraints_idl/constraints-idl.hh>`

Inheritance diagram for _objref_DifferentiableFunction:
[legend]
Collaboration diagram for _objref_DifferentiableFunction:
[legend]

## Public Member Functions
floatSeq * | value (const ::hpp::floatSeq &arg)
floatSeqSeq * | jacobian (const ::hpp::floatSeq &arg)
size_type | inputSize ()
size_type | inputDerivativeSize ()
size_type | outputSize ()
size_type | outputDerivativeSize ()
char * | name ()
char * | str ()
| _objref_DifferentiableFunction ()
| _objref_DifferentiableFunction (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_DifferentiableFunction ()

## Friends
class | DifferentiableFunction

## Constructor & Destructor Documentation

## ◆ _objref_DifferentiableFunction() [1/2]

_objref_DifferentiableFunction::_objref_DifferentiableFunction | ( |  | ) |
| inline

## ◆ _objref_DifferentiableFunction() [2/2]

_objref_DifferentiableFunction::_objref_DifferentiableFunction | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_DifferentiableFunction()

virtual _objref_DifferentiableFunction::~_objref_DifferentiableFunction | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ inputDerivativeSize()

size_type _objref_DifferentiableFunction::inputDerivativeSize | ( |  | ) |

## ◆ inputSize()

size_type _objref_DifferentiableFunction::inputSize | ( |  | ) |

## ◆ jacobian()

floatSeqSeq * _objref_DifferentiableFunction::jacobian | ( | const ::hpp::floatSeq & | arg | ) |

## ◆ name()

char * _objref_DifferentiableFunction::name | ( |  | ) |

## ◆ outputDerivativeSize()

size_type _objref_DifferentiableFunction::outputDerivativeSize | ( |  | ) |

## ◆ outputSize()

size_type _objref_DifferentiableFunction::outputSize | ( |  | ) |

## ◆ str()

char * _objref_DifferentiableFunction::str | ( |  | ) |

## ◆ value()

floatSeq * _objref_DifferentiableFunction::value | ( | const ::hpp::floatSeq & | arg | ) |

## Friends And Related Symbol Documentation

## ◆ DifferentiableFunction

friend class DifferentiableFunction
| friend

The documentation for this class was generated from the following file:

- src/hpp/constraints_idl/constraints-idl.hh